Summary:         A set of tools to gather troubleshooting information from a system
Name:            sos
Version:         4.6.0
Release:         3%{?dist}
License:         GPLv2+
Url:             https://github.com/sosreport/sos
Source0:         https://github.com/sosreport/sos/archive/%{version}.tar.gz

BuildRequires:   python3-setuptools python3-devel gettext
Requires:        tar bzip2 xz python3-rpm python3-pexpect python3-magic python3-requests 
Recommends:      python3-pyyaml

BuildArch:       noarch


%description
Sos is an extensible, portable, support data collection tool 
primarily aimed at Linux distributions and other UNIX-like 
operating systems.


%prep
%autosetup -n %{name}-%{version}


%build
%py3_build


%install
%py3_install '--install-scripts=%{_sbindir}'
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 700 %{buildroot}%{_sysconfdir}/%{name}/cleaner
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/presets.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/groups.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/extras.d
install -m 644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
rm -rf %{buildroot}/usr/config/

%find_lang %{name} || :


#%%files -f %%{name}.lang
%files
%license LICENSE
%doc AUTHORS README.md
%dir /etc/sos/cleaner
%dir /etc/sos/presets.d
%dir /etc/sos/extras.d
%dir /etc/sos/groups.d
%{_sbindir}/sos
%{_sbindir}/sosreport
%{_sbindir}/sos-collector
%config(noreplace) %{_sysconfdir}/sos/sos.conf
%{python3_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-2
- Rebuilt for loongarch release

* Fri Dec 08 2023 Upgrade Robot <upbot@opencloudos.org> - 4.6.0-1
- Upgrade to version 4.6.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.5-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 Miaojun Dong <zoedong@tencent.com> - 4.5.5-1
- Bump version to 4.5.5
- Add build requirement python3-setuptools
- Comment the line to generates i18n docs because it is broken

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 ZoeDong <zoedong@tencent.com> - 4.4-2
- Rebrand for OpenCloudOS

* Tue Dec 06 2022 ZoeDong <zoedong@tencent.com> - 4.4-1
- Initial build

